import java.util.*;

//+++++++++++++++++++++++++++++++++++++
public class Int2D {

public int   maxx, maxy;
public ArrayList<Integer> elem;

//-------------------------------------
public Int2D() { 
  maxx = 8;
  maxy = 8;
  elem = new ArrayList<Integer>();
  elem.ensureCapacity(maxx*maxy);
}

//-------------------------------------
public void Clear() {
  elem.clear();
}

//-------------------------------------
public int Get(int x, int y) {
int   i;
  i = (y*maxx)+x;
  return(elem.get(i));
}

//-------------------------------------
public void Set(int x, int y, int val) {
int   i;
  i = (y*maxx)+x;
  elem.set(i,val);
}

//-------------------------------------
public void SizeTo(int x, int y) {
int   i, j;
  maxx = x;
  maxy = y;
  elem.ensureCapacity(x*y);
  elem.clear();
  for (i=0; i<x; i++) for (j=0; j<y; j++) elem.add(0);
}

//-------------------------------------
}
